#
# spec file for package python3-certifi
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-certifi
Version:        2015.9.6.2
Release:        4.1
Summary:        Python package for providing Mozilla's CA Bundle
License:        MPL-2.0
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/certifi
Source0:        https://pypi.python.org/packages/source/c/certifi/certifi-%{version}.tar.gz
Patch0:         python3-certifi-shipped-requests-cabundle.patch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
This installable Python package contains a CA Bundle that you can reference in your Python code.
This is useful for verifying HTTP requests, for example.
This is the same CA Bundle which ships with the Requests codebase,
and is derived from Mozilla Firefox's canonical set.

%prep
%setup -q -n certifi-%{version}
%if 0%{?suse_version}
%patch0 -p1
%endif

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
chmod +x %{buildroot}/%{python3_sitelib}/certifi/core.py
%if 0%{?suse_version}
rm %{buildroot}/%{python3_sitelib}/certifi/cacert.pem
%endif

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE
%{python3_sitelib}/*

%changelog
* Sat Sep 26 2015 toddrme2178@gmail.com
- Update to version 2015.9.6.2:
  * Actually ship weak cert bundle.
  * Provide old cert bundle.
  * Use secure roots by default.
  * Update scripts to use mkcert.org
  * Concatenate the two roots
  * Add the needed 1024-bit roots
  * Move mkcert output to non-core file
- Rebase python3-certifi-shipped-requests-cabundle.patch
* Sat May  2 2015 arun@gmx.de
- specfile:
  * update copyright year
- update to version 2015.04.28:
* Wed Jan  7 2015 p.drouand@gmail.com
- Certifi is released under MPL-2.0; fix the license tag
* Mon Dec 22 2014 p.drouand@gmail.com
- Do not symlink to system cacert; call this one directly instead
  add python3-certifi-shipped-requests-cabundle.patch
- Use download Url as source
- Do not depend on a cacert provider; use /etc/ssl/ symlink instead
* Mon Dec 22 2014 andrea@opensuse.org
- use official certificate as provided by ca-certificates-cacert
* Sun Nov 30 2014 andrea@opensuse.org
- new package
